Package Gnumed :: Package wxpython :: Module gmRegetMixin :: Class cRegetOnPaintMixin |
[frames] | no frames]

# Class cRegetOnPaintMixin

source code

Mixin to add redisplay_data-on-wx.EVT_PAINT aspect.

Any code mixing in this class will gain the mechanism to reget data on wxPaint events. The code must be an instance of a wx.Window and must implement a _populate_with_data() method. It must also call _schedule_data_reget() at appropriate times.

Instance Methods
__init__(self) | source code
repopulate_ui(self) Just a glue method to make this compatible with notebook plugins. | source code